Home page logo
/

metasploit logo Metasploit mailing list archives

Problem with meterpreter
From: mmiller at hick.org (mmiller at hick.org)
Date: Mon, 12 Feb 2007 11:15:45 -0800

On Mon, Feb 12, 2007 at 01:52:33PM -0500, Chuck Haines wrote:
Hello all,
  I just downloaded the newest svn copy of metasploit as I'm anxious
to start playing with version 3.  Post exploitation I'm attempting to
use the meterpreter, but have run into a little snag.  When I try and
load the stdapi to use things like process, etc, I get the following
error:

Loading extension stdapi...[-] Failed to load client script file:
./lib/rex/post/meterpreter/ui/console/command_dispatcher/stdapi.rb
success.

That's rather strange.  I assume the file exists as listed?  I tested
this using the latest in SVN and it's working for me (ubuntu 6.06, ruby
1.8.4).  In 3.0, stdapi is automatically loaded when the session starts.
Are the commands not listed when you type help from the meterpreter
prompt?  Additionally, the 'Loading extension' message should be
suppressed for stdapi since it's automatically loaded.  Are you running
the 'use' command manually?



  By Date           By Thread  

Current thread:
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]
AlienVault